<?php
// Verificar si se ha recibido contenido
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Verificar si se envió el nombre del archivo como cabecera
    $fileName = isset($_SERVER['HTTP_FILENAME']) ? $_SERVER['HTTP_FILENAME'] : null;

    // Verificar si el nombre del archivo se recibió
    if ($fileName)
    {
        // Limpiar el nombre del archivo para evitar problemas de seguridad
        $fileName = basename($fileName);

        // Ruta donde guardar el archivo
        $ruta=substr($fileName,4,4).substr($fileName,2,2).substr($fileName,0,2);
//         $destinationPath = __DIR__ . '/uploads/' . $fileName;
        $destinationPath = '../_cele/'.$ruta.'/' . $fileName;
         
        // Obtener el contenido del cuerpo de la solicitud
        $xmlContent = file_get_contents('php://input');
         
        // Guardar el contenido en un archivo
        if (file_put_contents($destinationPath, $xmlContent))
        {
//             echo "Archivo XML '{$fileName}' recibido y guardado correctamente.";
//             echo "Archivo XML '{$fileName}' recibido y guardado correctamente.";
            echo $fileName;
        } 
        else 
        {
            http_response_code(500);
            echo "Error al guardar el archivo : ".$fileName;
        }
    } 
     else
     {
        http_response_code(400);
        echo "No se recibió el nombre del archivo.";
    }
}
else
{
    http_response_code(405);
    echo "Método no permitido. Usa POST.";
}







?>